<template>
  <v-sheet rounded="lg" class="pa-4">
    <v-form>
      <v-text-field
        v-model="createProduct.title"
        variant="solo-filled"
        label="Название"
      >
      </v-text-field>
      <v-textarea
        v-model="createProduct.description"
        variant="solo-filled"
        label="Описание"
      >
      </v-textarea>
      <v-select
        v-if="categories"
        v-model="createProduct.category"
        :item-title="'name'"
        :item-value="'name'"
        :items="categories"
        dark
        label="Категория"
        solo
      >
      </v-select>
      <v-text-field
        v-model="createProduct.image"
        label="Изображение"
        variant="solo-filled"
        placeholder="Ссылка на изображение"
      >
      </v-text-field>
      <v-text-field
        v-model="createProduct.price"
        variant="solo-filled"
        label="Цена"
      >
      </v-text-field>
      <v-checkbox
        color="green"
        label="Даю соглашение с правилами публикици товаров"
      ></v-checkbox>
    </v-form>
  </v-sheet>
</template>

<script setup>
import { sync } from 'vuex-pathify'
const { categories, createProduct } = sync('market/*')
</script>
